html.cloud-search-mobile-open, 
html.cloud-search-mobile-open body {
    overflow: hidden !important;
    position: relative !important;
    height: 100% !important;
}

/* ----------------------- */

.cloud-search-mobile-backdrop {
    left: 0;
    top: 0;
    width: 100%;
    height: 100vh;
    position: fixed;
    z-index: 2147483645;
    background: rgba(200, 200, 200, 0.9);
}

/* ----------------------- */

.cloud-search-mobile {
    background: rgba(245, 245, 245, 0.95);
    position: fixed;
    left: 0;
    top: 0;
    z-index: 2147483647;
    width: 100%;
    display: flex;
    align-items: center;
    border-bottom: 1px solid #e8e8e8;
    font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Helvetica, Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol";
}
.cloud-search-mobile .cloud-search-mobile__input {
    flex-grow: 1;
    position: relative;
    margin: 10px;
}		
.cloud-search-mobile form {
    margin: 0;
}	
.cloud-search-mobile .cloud-search-mobile__input input[type="search"], .cloud-search-mobile-open .cloud-search-mobile .cloud-search-mobile__input input[type="search"]:focus {
    padding: 8px 15px 8px 35px;
    margin: 0;
    background: rgba(128, 128, 128, 0.15);
    outline: none;
    box-shadow: none;
    backdrop-filter: blur(2px);
    -webkit-backdrop-filter: blur(2px);
    font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Helvetica, Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol";
    font-style: normal;
    font-size: 16px;
    border: none;
    border-radius: 12px;
    width: 100%;
    height: 36px;
    min-height: 0;
    color: #333;
    box-sizing: border-box;
    line-height: normal;
}
.cloud-search-mobile .cloud-search-mobile__input::after {
    content: " ";
    display: block;
    position: absolute;
    top: 10px;
    left: 9px;
    width: 16px;
    height: 16px;
    background-image: url("data:image/svg+xml,%3C%3Fxml version='1.0' encoding='UTF-8'%3F%3E%3Csvg xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink' viewBox='0 0 50 50' version='1.1' width='16px' height='16px'%3E%3Cg id='surface1'%3E%3Cpath style='fill:%23666' d='M 21 3 C 11.601563 3 4 10.601563 4 20 C 4 29.398438 11.601563 37 21 37 C 24.355469 37 27.460938 36.015625 30.09375 34.34375 L 42.375 46.625 L 46.625 42.375 L 34.5 30.28125 C 36.679688 27.421875 38 23.878906 38 20 C 38 10.601563 30.398438 3 21 3 Z M 21 7 C 28.199219 7 34 12.800781 34 20 C 34 27.199219 28.199219 33 21 33 C 13.800781 33 8 27.199219 8 20 C 8 12.800781 13.800781 7 21 7 Z '/%3E%3C/g%3E%3C/svg%3E%0A");
    z-index: 1;
}	
.cloud-search-mobile .cloud-search-mobile__cancel, .cloud-search-mobile-open .cloud-search-mobile .cloud-search-mobile__cancel:hover, .cloud-search-mobile-open .cloud-search-mobile .cloud-search-mobile__cancel:active {
    font-size: 16px;
    color: #007aff;
    margin: 10px 10px 10px 0;
    text-decoration: none;
    font-weight: normal;
    font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Helvetica, Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol";
    cursor: pointer;
}

/* ----------------------- */

.instant-search-menu {
    text-align: left;
    background: #fff;
    position: absolute;
    border: 1px solid #e2e2e2;
    border-radius: 0 0 2px 2px;
    font-size: 12px;
    box-shadow: 0 2px 10px 0 rgba(74, 73, 74, 0.2);
    text-shadow: none;
    z-index: 2147483646;
    box-sizing: border-box;
    outline: none;
}
.instant-search-menu.instant-search-menu--mobile {
    position: fixed;
    top: 0;
    left: 0;
    max-height: 100vh;
    padding-top: 57px;
    overflow: scroll;
    -webkit-overflow-scrolling: touch;
    width: 100%;
    border-top: none;
    border-left: none;
    border-right: none;
    box-shadow: 0 2px 10px 0 rgba(74, 73, 74, 0.1);
}

.instant-search-menu .header-left {
    margin: 18px;
    color: #444;
    font-size: 14px;
}
.instant-search-menu.instant-search-menu--mobile .suggestions, .instant-search-menu.instant-search-menu--mobile .header-left {
    font-size: 16px;
    margin-bottom: 27px;
}

.instant-search-menu * {
    box-sizing: border-box;
}
.instant-search-menu a, .instant-search-menu a:link, .instant-search-menu a:visited, .instant-search-menu a:hover {
    text-decoration: none;
    outline: none;
}
.instant-search-menu .header-left a {
    font-weight: 500;
}
.instant-search-menu a, .instant-search-menu a:link, .instant-search-menu a:visited {
    color: #3c476e;
}

.instant-search-menu .results-block {
    margin: 18px;
}

.instant-search-menu dl {
    margin: 0;
}
.instant-search-menu dl {
    overflow-y: scroll;
}

.instant-search-menu dt {
    display: flex;
    align-items: center;
    margin-bottom: 1em;
    font-weight: normal;
}

.instant-search-menu.instant-search-menu--mobile .block-products dt, .instant-search-menu.instant-search-menu--mobile .block-categories dt {
    align-items: flex-start;
    margin: 18px 0;
    border-top: 1px solid #f2f2f2;
    padding-top: 18px;
}
.instant-search-menu.instant-search-menu--mobile .block-products dt:first-of-type, .instant-search-menu.instant-search-menu--mobile .block-categories dt:first-of-type {
    border-top: none;
    padding-top: 0;
}

.instant-search-menu dd {
    display: none;
    border: 1px solid #e2e2e2;
    border-radius: 2px;
    margin: 0 3px 3px 3px;
    padding: 18px;
    background: #fff;
    position: absolute;
    top: 0;
    left: -320px;
    right: -320px;
    width: 320px;
    box-shadow: 0 2px 10px 0 rgba(74, 73, 74, 0.2);
}
.instant-search-menu .block-products dd {
    left: -390px;
    right: -390px;
    width: 390px;
}

.instant-search-menu dd .details-top {
    display: flex;
    margin: 0 0 18px;
}
.instant-search-menu dd .details-top .details-top-text {
    flex-shrink: 1;
    order: 1;
}
.instant-search-menu .name {
    font-size: 14px;
    margin: 0 0 18px;
}
.instant-search-menu .cs-item-title {
    word-wrap: break-word;
}
.instant-search-menu a, .instant-search-menu a:link, .instant-search-menu a:visited, .instant-search-menu a:hover {
    text-decoration: none;
    outline: none;
}
.instant-search-menu a, .instant-search-menu a:link, .instant-search-menu a:visited {
    color: #3c476e;
}
.instant-search-menu .price {
    color: #4a4a4a;
    font-size: 18px;
}
.instant-search-menu .cs-list-price {
    color: #ada8a8;
    text-decoration: line-through;
}
.instant-search-menu dd .details-top .details-top-image {
    flex-shrink: 0;
    order: 0;
    margin: 0 18px 0 0;
}
.instant-search-menu .image {
    margin: 0 0 18px;
    background: #fff;
}
.instant-search-menu a, .instant-search-menu a:link, .instant-search-menu a:visited, .instant-search-menu a:hover {
    text-decoration: none;
    outline: none;
}
.instant-search-menu a, .instant-search-menu a:link, .instant-search-menu a:visited {
    color: #3c476e;
}
.instant-search-menu dd .details-top .image {
    margin: 0;
    position: static;
}
.instant-search-menu .clearing {
    clear: both;
}
.instant-search-menu .description {
    margin: 18px 0 0;
    font-size: 14px;
    color: #797979;
    word-break: break-word;
}
.instant-search-menu .see-details {
    text-align: left;
    font-size: 14px;
    margin: 18px 0 0 0;
}
.instant-search-menu.instant-search-menu--mobile .list-image {
    min-width: 80px;
}
.instant-search-menu .list-image img {
    max-width: 50px;
    max-height: 50px;
    opacity: 1;
}
.instant-search-menu.instant-search-menu--mobile .list-image img {
    max-width: 80px;
    max-height: 120px;
}
.instant-search-menu.instant-search-menu--mobile dt .cs-item-details {
    width: 100%;
}
.instant-search-menu.instant-search-menu--mobile dt .cs-item-details .cs-price-block {
    float: right;
    margin: 0 0 0 18px;
}
.instant-search-menu.instant-search-menu--mobile dt .cs-item-title, .instant-search-menu.instant-search-menu--mobile dt .price {
    display: block;
    font-size: 16px;
    font-weight: 500;
    line-height: 24px;
}
.instant-search-menu.instant-search-menu--mobile dt .cs-item-details .description {
    margin: 6px 0 0;
    line-height: 1.5;
    word-break: break-word;
}